Request a port assignment for a specific service
POST /api/system/system-config/ports/request
POST
/api/system/system-config/ports/request
Request a port assignment for a specific service.
Always returns the static port 37737 since dynamic port management has been removed.
Args: service_name: Name of the service requesting a port. preferred_port: Ignored — static port is always returned.
Returns: Dictionary containing service_name and assigned_port (37737).
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
MonitoringServicePortRequestResponse
Response model for monitoring /ports/request endpoint
object
serviceName
required
Servicename
string
assignedPort
required
Assignedport
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context